<?php
/*
Plugin Name: BuddyPress Maps
Plugin URI:  http://dev.benoitgreant.be/2010/02/13/buddypress-maps
Description: A component to save/edit locations markers for BuddyPress, then display them on a map : it can be easily used by others plugins.  It also includes a plugin to save/edit a location marker in the user's profile and display a map with all user's location in groups.
Version: 0.1.1-alpha
Revision Date: february 13, 2010
Requires at least: WPMU 2.9.1.1, WPMU 2.9.1, BuddyPress 1.2-rc
Tested up to: WPMU 2.9.1.1, WPMU 2.9.1, BuddyPress 1.2-rc
License: (Classifieds: GNU General Public License 2.0 (GPL) http://www.gnu.org/licenses/gpl.html)
Author: G.Breant
Author URI: http://dev.benoitgreant.be
Site Wide Only: true
*/


/*** Make sure BuddyPress is loaded ********************************/
if ( !function_exists( 'bp_core_install' ) ) {
	require_once( ABSPATH . '/wp-admin/includes/plugin.php' );
	if ( is_plugin_active( 'buddypress/bp-loader.php' ) )
		require_once ( WP_PLUGIN_DIR . '/buddypress/bp-loader.php' );
	else
		return;
}
/*******************************************************************/

function bp_maps_init() {
	/* Define the slug for the component */
	if ( !defined( 'BP_MAPS' ) )
		define ( 'BP_MAPS', __('maps','bp-maps-slugs') );

	/////////
	// Important Internal Constants
	// *** DO NOT MODIFY THESE ***
	define ( 'BP_MAPS_IS_INSTALLED', 1 );
	define ( 'BP_MAPS_VERSION', '0.1.1' );
	define ( 'BP_MAPS_DB_VERSION', '1000' );
	define ( 'BP_MAPS_PLUGIN_NAME', 'buddypress-maps' );
	define ( 'BP_MAPS_PLUGIN_DIR', WP_PLUGIN_DIR . '/' . BP_MAPS_PLUGIN_NAME );
	define ( 'BP_MAPS_PLUGIN_URL', WP_PLUGIN_URL . '/' . BP_MAPS_PLUGIN_NAME );


	/////////

	// lets do it
	require_once 'bp-maps.php';
}

if ( defined( 'BP_VERSION' ) )
	bp_maps_init();
else
	add_action( 'bp_init', 'bp_maps_init' );



?>